> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update project summarization settings

> Update the summarization settings for your project



## OpenAPI

````yaml put /projects/{project_id}/summarization_settings
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/summarization_settings:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    put:
      tags:
        - Summarization Settings
      summary: Update
      description: Update the summarization settings for your project
      operationId: summarization_settings#update
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodySummarizationSettings'
            examples:
              example_summarization_settings:
                $ref: >-
                  #/components/examples/requestBodyUpdateSummarizationSettingsRequestExample
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/summarizationSettingsExample'
              schema:
                $ref: '#/components/schemas/summarizationSettingsModel'
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
        '422':
          description: failure
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/summarizationSettingsExample'
              schema:
                $ref: '#/components/schemas/summarizationSettingsModel'
      security:
        - apiKey: []
components:
  schemas:
    requestBodySummarizationSettings:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: false
          description: When true, AI-powered summarization is enabled
        model:
          type: string
          enum:
            - gpt-5-nano
            - gpt-5-mini
            - gpt-5
            - gpt-5.1
        prompt:
          type: string
          nullable: true
          description: Custom prompt for AI summarization generation
        temperature:
          type: number
          nullable: true
          description: >-
            Controls randomness in AI summarization (0.0 = deterministic, 2.0 =
            very random)
          minimum: 0
          maximum: 2
        limit_token_usage:
          type: integer
          nullable: true
          description: Maximum number of tokens to use for AI summarization
          minimum: 1
          maximum: 3000
        template:
          type: object
          nullable: true
          properties:
            id:
              type: integer
            slug:
              type: string
              description: The summarization settings template slug
    summarizationSettingsModel:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: false
          description: When true, AI-powered summarization is enabled
        prompt:
          type: string
          nullable: true
          description: Custom prompt for AI summarization generation
        model:
          type: string
          enum:
            - gpt-5-nano
            - gpt-5-mini
            - gpt-5
            - gpt-5.1
          nullable: true
        temperature:
          type: number
          nullable: true
          description: >-
            Controls randomness in AI summarization (0.0 = deterministic, 2.0 =
            very random)
          minimum: 0
          maximum: 2
        limit_token_usage:
          type: integer
          nullable: true
          description: Maximum number of tokens to use for AI summarization
          minimum: 1
          maximum: 3000
        template:
          $ref: '#/components/schemas/summarizationSettingsTemplatesModel'
          nullable: true
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
    summarizationSettingsTemplatesModel:
      type: array
      items:
        $ref: '#/components/schemas/summarizationSettingsTemplateModel'
    summarizationSettingsTemplateModel:
      type: object
      properties:
        id:
          type: integer
        slug:
          type: string
          description: Unique identifier for the object
        name:
          type: string
          nullable: false
        model:
          type: string
          enum:
            - gpt-5-nano
            - gpt-5-mini
            - gpt-5
            - gpt-5.1
          nullable: true
        prompt:
          type: string
          nullable: true
          description: Custom prompt for AI summarization generation
          maxLength: 3000
        temperature:
          type: number
          nullable: true
          description: >-
            Controls randomness in AI summarization (0.0 = deterministic, 2.0 =
            very random)
          minimum: 0
          maximum: 2
        limit_token_usage:
          type: integer
          nullable: true
          description: Maximum number of tokens to use for AI summarization
          minimum: 1
          maximum: 500
  examples:
    requestBodyUpdateSummarizationSettingsRequestExample:
      summary: A sample summarization settings request
      value:
        enabled: true
        prompt: >-
          Summarize the provided article text. Aim for a summary of about
          250-300 words.
    summarizationSettingsExample:
      summary: A sample summarization settings response
      value:
        enabled: true
        prompt: Summarize the provided article text.
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````